## org.apache.cassandra.db
Interface IColumnContainer

All Known Implementing Classes:
  ColumnFamily, SuperColumn

    public interface IColumnContainer

Method Summary
`void` `addColumn(IColumn column)`
`AbstractType` `getComparator()`
`long` `getMarkedForDeleteAt()`
`boolean` `isMarkedForDelete()`

Method Detail

### addColumn

    void addColumn(IColumn column)

### isMarkedForDelete

    boolean isMarkedForDelete()

### getMarkedForDeleteAt

    long getMarkedForDeleteAt()

### getComparator

    AbstractType getComparator()

Copyright © 2010 The Apache Software Foundation